aagc.vo

## Class RegistraDistintaContabileRiepilogativaRequest

- java.lang.Object
- - aagc.vo.RegistraDistintaContabileRiepilogativaRequest

-     public class RegistraDistintaContabileRiepilogativaRequest
      extends java.lang.Object

  Classe Java per registraDistintaContabileRiepilogativaRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="registraDistintaContabileRiepilogativaRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="farmacia" type="{http://www.nsisr.puglia.it/Schemas/}farmaciaRegistraDistintaContabileRiepilogativaRequest" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="annoElaborazione" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="meseElaborazione" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `annoElaborazione`
    `protected java.util.List<FarmaciaRegistraDistintaContabileRiepilogativaRequest>` | `farmacia`
    `protected java.lang.String` | `meseElaborazione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistraDistintaContabileRiepilogativaRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnoElaborazione()` Recupera il valore della proprietà annoElaborazione.
    `java.util.List<FarmaciaRegistraDistintaContabileRiepilogativaRequest>` | `getFarmacia()` Gets the value of the farmacia property.
    `java.lang.String` | `getMeseElaborazione()` Recupera il valore della proprietà meseElaborazione.
    `void` | `setAnnoElaborazione(java.lang.String value)` Imposta il valore della proprietà annoElaborazione.
    `void` | `setMeseElaborazione(java.lang.String value)` Imposta il valore della proprietà meseElaborazione.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### farmacia

          protected java.util.List<FarmaciaRegistraDistintaContabileRiepilogativaRequest> farmacia

    - #### annoElaborazione

          protected java.lang.String annoElaborazione

    - #### meseElaborazione

          protected java.lang.String meseElaborazione

  - ### Constructor Detail

    - #### RegistraDistintaContabileRiepilogativaRequest

          public RegistraDistintaContabileRiepilogativaRequest()

  - ### Method Detail

    - #### getFarmacia

          public java.util.List<FarmaciaRegistraDistintaContabileRiepilogativaRequest> getFarmacia()

      Gets the value of the farmacia property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the farmacia property.

      For example, to add a new item, do as follows:

              getFarmacia().add(newItem);

      Objects of the following type(s) are allowed in the list `FarmaciaRegistraDistintaContabileRiepilogativaRequest`

    - #### getAnnoElaborazione

          public java.lang.String getAnnoElaborazione()

      Recupera il valore della proprietà annoElaborazione.
      Returns:
        possible object is `String`

    - #### setAnnoElaborazione

          public void setAnnoElaborazione(java.lang.String value)

      Imposta il valore della proprietà annoElaborazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getMeseElaborazione

          public java.lang.String getMeseElaborazione()

      Recupera il valore della proprietà meseElaborazione.
      Returns:
        possible object is `String`

    - #### setMeseElaborazione

          public void setMeseElaborazione(java.lang.String value)

      Imposta il valore della proprietà meseElaborazione.
      Parameters:
        `value` - allowed object is `String`